{*******************************************************}
{*  CadoDraw for Delphi examples                   *}
{*  Copyright (c) 1997 Alfred Lorenz                   *}
{*  All Rights Reserved                                *}
{*  internet mail support@LTS-Tools.com                *}
{*  word wide web http://www.LTS-Tools.com             *}
{*                                                     *}
{*  You are not allowed to redistribute this           *}
{*  code or any part of it                             *}
{*******************************************************}

unit GridsFm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Cadodraw, Markmove, Scales, Buttons, StdCtrls, Cdprint2,
  Texttool, Scl12;

type
  TGrids = class(TForm)
    MarkMove1: TMarkMove;
    tcdDataModule1: tcdDataModule;
    VertLine: TLineDepends;
    PrintBtn: TButton;
    cdPrinter1: TcdPrinter;
    PrinterSetupDialog1: TPrinterSetupDialog;
    SetupBtn: TButton;
    cdDrawbox2: TcdDrawbox;
    cdLabels1: TcdLabels;
    SpeedButton1: TSpeedButton;
    cdPrinter2: TcdPrinter;
    tcdDataModule2: tcdDataModule;
    cdLabels2: TcdLabels;
    cdDrawbox1: TcdDrawbox;
    cdPoints1: TcdPoints;
    SpeedButton2: TSpeedButton;
    cdScales1: TcdScales;
    cdPoints2: TcdPoints;
    MarkMove2: TMarkMove;
    BitBtn1: TBitBtn;
    procedure SpeedButton1Click(Sender: TObject);
    procedure PrintBtnClick(Sender: TObject);
    procedure cdPoints1ObjectDraw(CurrentObject: TcdObject);
    procedure SetupBtnClick(Sender: TObject);
    procedure cdPrinter1PrintSlave(Sender: TObject);
    procedure cdLabels1ObjectSetData(CurrentObject: TcdObject);
    procedure cdPrinter1BeforePrint(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;



var
  Grids: TGrids;
  Tendency: TLineObj;
  ShowTendency: boolean;


implementation

uses PrintLab, Printers;


{$R *.DFM}



procedure TGrids.SpeedButton1Click(Sender: TObject);
begin
  cdDrawbox1.SetScale(0);
end;

procedure TGrids.PrintBtnClick(Sender: TObject);
begin
  InfoBox:= TPrintDlg.create(self);
  TPrintDlg(InfoBox).PrintLab.Caption:= cdDrawbox1.Name;
  TPrintDlg(InfoBox).Progressbar.max:=
    tcdDataModule1.Objects.Count + tcdDataModule2.Objects.Count;
  InfoBox.show;
  cdPrinter1.print;
  InfoBox.free;
end;

procedure TGrids.cdPoints1ObjectDraw(CurrentObject: TcdObject);
begin
  //leer;
end;

procedure TGrids.SetupBtnClick(Sender: TObject);
begin
  PrinterSetupDialog1.execute;
end;

procedure TGrids.cdPrinter1PrintSlave(Sender: TObject);
begin
  cdPrinter2.PrintAsSlave(TCanvas(Sender));
end;

procedure TGrids.cdLabels1ObjectSetData(CurrentObject: TcdObject);
begin
  TLabelObj(CurrentObject).Text:= 'Box ' + IntToStr(CurrentObject.ID);
end;

procedure TGrids.cdPrinter1BeforePrint(Sender: TObject);
Var ADevice, ADriver, APort: String;
    ADeviceMode: THandle;
begin
end;

end.

