{*******************************************************}
{*  CadoDraw for Delphi examples                   *}
{*  Copyright (c) 1997 Alfred Lorenz                   *}
{*  All Rights Reserved                                *}
{*  internet mail support@LTS-Tools.com                *}
{*  word wide web http://www.LTS-Tools.com             *}
{*                                                     *}
{*  You are not allowed to redistribute this           *}
{*  code or any part of it                             *}
{*******************************************************}

unit TextForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Cdprint2, Cadodraw, Texttool, StdCtrls, ExtCtrls, Markmove,
  Buttons, Scales, Scl12;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    cdDrawbox1: TcdDrawbox;
    cdLabels1: TcdLabels;
    cdLabels2: TcdLabels;
    cdLabels3: TcdLabels;
    cdPrinter1: TcdPrinter;
    MarkMove1: TMarkMove;
    Button4: TButton;
    Button5: TButton;
    tcdDataModule1: tcdDataModule;
    HelpBtn: TBitBtn;
    cdScales1: TcdScales;
    procedure cdLabels1ObjectSetData(CurrentObject: TcdObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.cdLabels1ObjectSetData(CurrentObject: TcdObject);
begin
  tLabelObj(CurrentObject).Text:= 'Label ' + IntToStr(CurrentObject.ID);

end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  cdPrinter1.Print;
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  cdDrawbox1.DataModule.DeleteObjects;
end;

end.
